summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xoffice/texlive/texlive.SlackBuild26
1 files changed, 19 insertions, 7 deletions
diff --git a/office/texlive/texlive.SlackBuild b/office/texlive/texlive.SlackBuild
index 39417bc760..cd2904e27d 100755
--- a/office/texlive/texlive.SlackBuild
+++ b/office/texlive/texlive.SlackBuild
@@ -27,7 +27,6 @@
PRGNAM=texlive
VERSION=20091107
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
@@ -37,6 +36,16 @@ EXTRA_VERS=$VERSION
TEXI2HTML=1.82 # texi2html version - http://www.nongnu.org/texi2html/
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-texlive
@@ -51,6 +60,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e
@@ -69,8 +81,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# If on -current, uncomment this line:
-#patch -p1 < $CWD/texlive.png14.diff
+# Use the libpng14 API in 13.1
+patch -p1 < $CWD/texlive.png14.diff
# etex is something for eclipse
# Building with --disable-xindy as it requires libffcall
@@ -183,20 +195,20 @@ cat $CWD/epstopdf/README > $PKG/usr/doc/texlive-$VERSION/eps2pdf/README
chmod 0755 $PKG/usr/share/texmf/bin/epstopdf
# Compress man pages
-( cd $PKG/usr/share/texmf/doc/man || exit 1
+cd $PKG/usr/share/texmf/doc/man || exit 1
find . -type f -name "Makefile" -exec rm -f {} \;
find . -type f -name "*.pdf" -exec rm -f {} \;
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+cd -
# Handle the GNU info pages
-( cd $PKG/usr/info
+cd $PKG/usr/info
mv $PKG/usr/share/texmf/doc/info/* .
rm -rf $PKG/usr/share/texmf/doc/info
rm -f dir
gzip -9 *
-)
+cd -
# Add profile scripts
mkdir -p $PKG/etc/profile.d